Jump to content
Froxlor Forum
  • 0

PHP posix-extension


RazorFlint

Question

Hi,

I'm new to froxlor and love the service and for some reason can't install froxlor on my windows server, I'm running the latest version of PHP And everything is fine, except for one thing, PHP posix-extension :/

PHP posix-extension is the only thing stopping me with froxlor, i Don't have a clue how i fix this, any help for a new guy? Thanks.

Link to post
Share on other sites

2 answers to this question

Recommended Posts

Froxlor is designed for Linux, and isn't officially supported on Windows (if you get it working feel happy, but don't expect to get a solution for it). Anyway it looks more like a PHP problem then froxlor. Please take a look at PHP related websites whats needed to get POSIX running under windows. Maybe it's deactivated in the php.ini file like it's for many db drivers. Or you need to download a separate PECL extension. But I really don't know and this is mostly the wrong place to look for a solution.

 

Anyway I hope you find a solution for your problem, if so feel free to come back and tell us!

 

Btw: Do you have a special software which requires you to use Windows or do you just feel more comfortable with it? If not consider switching to Linux for many reasons :).

Link to post
Share on other sites

I would not recommend installing Froxlor on Windows systems. A lot of things, especially our cronjobs, which simply handle everything (creating virtual hosts, zonefiles, directories, ...) will not run in a Windows environment... As far as I recall, there are also some hard coded directories in Froxlor's core, which are also unaccessible in Windows. So I don't think, that the POSIX-extension is the only problem you will have.

Link to post
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...